<div th:replace="fm:data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div th:id="|file-${(null != grp ? grp.id + '_' : '') + prefix.replace('.', '_') + data.id}|" class="attachment">
        <div class="row" style="display: none">
            <div class="col-md-6">
                <ul class="placeholder list-group list-group-small">
                    <li class="list-group-item" th:each="item, stat : ${value}" th:id="|file-${(null != grp ? grp.id + '_' : '') + prefix.replace('.', '_') + data.id}-${item.id}|">
                        <a name="url_file" th:href="@{/record/{code}/{step}/download/{id}/{idx}/{name}(code=${code}, step=${step}, id=${(null != grp ? grp.id + '_' : '') + prefix.replace('.', '_') + data.id}, idx=${item.id}, name=${item.label})}" th:text="${item.label}"></a>
                    </li>
                </ul>
            </div>
            <div class="col-md-6">
            </div>
        </div>
        <div name="fileReadOnly">
           <input id="fileReadOnly" data-overwrite-initial="false" type="file" multiple>
           <input type="hidden" class="form-control" th:name="${prefix + data.id}" value="xxx" />
        </div>
    </div>  
</div>
